import React from 'react';
export declare type TranslationHandler = {
    (value: string, setTranslation: (translation: string) => void): void;
};
export declare const TranslateContext: React.Context<TranslationHandler>;
export declare const LanguageContext: React.Context<string>;
declare type CacheProvider = {
    get: (language: string, key: string) => string | undefined;
    set: (language: string, key: string, translation: string) => void;
};
declare type Props = {
    to: string;
    from: string;
    cacheProvider?: CacheProvider;
    children: string;
    googleApiKey: string;
};
export default function Translator({ to, from, cacheProvider, children, googleApiKey, }: Props): JSX.Element;
export {};
